Bug 506970 - workaround "helpful" yum revert behaviour
workaround "helpful" yum revert behaviour
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-19 11:41 EDT by James Antill
Modified: 2010-12-05 01:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 01:50:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2009-06-19 11:41:56 EDT
Description of problem:
 Yum will helpfully revert to the previous cached repodata, if a repodata download fails. This is useful when you are moving updates to a slightly newer F10 version, not so much when moving fedora from F10 to F11.
 The way I experienced this was:

1. Have machine almost at 100% disk space used.

2. Try a netinstall.

3. Be confused when it acts weird, and then boggle when you see it's trying to get F10 comps. repodata.

...the simple fix is to do a yb.cleanMetadata() as soon as you've setup the repos. (but before you've got any data from them). This will protect from the above, and from weird download errors etc.

 Might also be nice to do an early check in anaconda to say "Danger Will Robinson you have less than 100MB free in /var/cache/yum ... you probably want to fix that".
Comment 1 Chris Lumens 2009-09-04 13:26:41 EDT
We probably don't want to do this across all repos, right?  What about the preupgrade case where it's got all the metadata predownloaded?  If we call yb.cleanMetadata(), aren't we going to nuke that as well?
Comment 2 James Antill 2009-09-17 13:06:45 EDT
 Yeh, that's true ... and there's no good API to use to cleanup just some of the repos. metadata. I guess do the disk check warning for now and maybe do the cleanup metadata bit if you know preupgrade isn't there (hopefully if preupgrade is there all the repos. should be upto date).
Comment 3 Bug Zapper 2009-11-16 05:15:31 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2010-11-04 07:04:19 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-12-05 01:50:07 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.